/*******************************************************************************
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 *     Copyright IBM Corp. 2001, 2014 All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package javax.rcm;

/**
 *
 * This is a callback and gets invoked when a consumption request is made to a resource.
 * The user can implement a resource consumption policy by implementing this interface to determine
 * how many resource units can be consumed by the request.
 */
public interface Constraint {
	/**
	 * Imposes the consumption constraints on consumption request.
	 * @param domain  the resource domain on which the request is made.
	 * @param currentUsage  resource usage when the request is made.
	 * @param proposedUsage the proposed total resource usage if the request were to be satisfied.
	 * @return  the resulting usage constrained by consumption policy.
	 */
    long preConsume(ResourceDomain domain, long currentUsage, long proposedUsage);
}
