/*******************************************************************************
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 *     Copyright IBM Corp. 2001, 2014 All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package javax.rcm;

import com.ibm.rcm.resource.PlatformResourceAttributes;

/**
 * This class defines a method to notify <em>native</em> that a platform
 * resource is to be registered for consumption management.
 */
class PlatformResourceAttributesHandler {

    private static PlatformResourceAttributesHandler instance = new PlatformResourceAttributesHandler();

    /*
     *private constructor.
     */
    private PlatformResourceAttributesHandler() {
    };

    /*
     * Singleton     *
     * @return the single instance of this class
     */
    static PlatformResourceAttributesHandler getInstance() {
        return instance;
    }

    /**
     * Registers the platform resource to be managed. If returned successfully,
     * the <code>handle</code> of <code>platformResourceAttributes</code> will
     * be set.
     * @param pattr  the platform resource to be managed.
     * @return 0 for success, others for failure.
     */
    native int registerManagedResource(PlatformResourceAttributes pattr);
}
