/*******************************************************************************
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 *     Copyright IBM Corp. 2001, 2014 All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package javax.rcm;

import javax.rcm.management.ResourceDomainMBean;

/**
 * Runtime type for {@link javax.rcm.management.ResourceDomainMBean}.
 */
class ResourceDomainMBeanImpl implements  ResourceDomainMBean {

    ResourceDomain delegate;

    /**
     * @param delegate the resource domain to which this bean delegated.
     */
    public ResourceDomainMBeanImpl(ResourceDomain delegate) {
        this.delegate = delegate;

    }

    /* (non-Javadoc)
     * @see javax.rcm.management.ResourceDomainMBean#getReservation()
     */
    public long getReservation() {
        return delegate.getReservation();
    }

    /* (non-Javadoc)
     * @see javax.rcm.management.ResourceDomainMBean#getResourceAttributesName()
     */
    public String getResourceAttributesName() {
        return delegate.getResourceAttributes().getName();
    }

    /* (non-Javadoc)
     * @see javax.rcm.management.ResourceDomainMBean#getTotalQuantity()
     */
    public long getTotalQuantity() {
        return delegate.getResourceAttributes().getTotalQuantity();
    }

    /* (non-Javadoc)
     * @see javax.rcm.management.ResourceDomainMBean#getTotalReservation()
     */
    public long getTotalReservation() {
        return delegate.getTotalReservation();
    }

    /* (non-Javadoc)
     * @see javax.rcm.management.ResourceDomainMBean#getTotalUsage()
     */
    public long getTotalUsage() {
        return delegate.getTotalUsage();
    }

    /* (non-Javadoc)
     * @see javax.rcm.management.ResourceDomainMBean#getTotalUsageRate()
     */
    public long getTotalUsageRate() {
        return delegate.getTotalUsageRate();
    }

    /* (non-Javadoc)
     * @see javax.rcm.management.ResourceDomainMBean#getUsage()
     */
    public long getUsage() {
        return delegate.getUsage();
    }

    /* (non-Javadoc)
     * @see javax.rcm.management.ResourceDomainMBean#getUsageRate()
     */
    public long getUsageRate() {
        return delegate.getUsageRate();
    }

    /* (non-Javadoc)
     * @see javax.rcm.management.ResourceDomainMBean#isTerminated()
     */
    public boolean isTerminated() {
        return delegate.isTerminated();
    }

}
